<chapter id="installation">
<title
>Instal·lació </title>

<epigraph>
<attribution
>Linus Torvalds, després de trobar-se un dels seus sistemes de fitxers trencats a causa d'un nou nucli beta</attribution>
<para
>El volcat de memòria de fsck em sol posar nerviós</para>
</epigraph>

<para
>No us preocupeu. encara que l'ús de programari beta pot ocasionar-vos força maldecaps, és improbable que la instal·lació del KDE malmeti el vostre disc dur. De fet, aquest capítol està dissenyat per a guiar-vos a través del procés d'instal·lació de manera que pugueu donar un cop d'ull al vostre nou escriptori tan aviat (i amb els menors mals de caps) com sigui possible. Com en les instal·lacions de tots els gestors de finestres, és convenient el realitzar una còpia de seguretat de tots els fitxers de configuració específics de X11 abans de començar la instal·lació. Sinó coneixeu la localització exacta, intenteu amb tots els fitxers ocults (<filename
>.*</filename
>) de la vostra carepta d'inici i de la carpeta <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Requeriments </title>

<para
>Abans d'instal·lar el KDE, assegureu-vos de que el vostre sistema compleix els següents requeriments: </para>

<itemizedlist>

<listitem
><para
>Un sistema UNIX compatible amb POSIX. Els UNIX que es coneix que funcionen amb el KDE són: Linux, FreeBSD, Solaris, HP-UX i MkLinux. Estem treballant per a que el KDE estiga disponible ben aviat per a més plataformes. </para
></listitem>

<listitem
><para
>Una mica d'espai lliure a la partició del disc a on es creï el directori <filename
>/opt/kde</filename
>. Recomenem reservar aproximadament uns 50MB si el vostre sistema suporta biblioteques compartides i un espai considerablement major sinó ho fa. Si necessiteu o desitgeu crear el KDE des de l'arbre font, si us plau, recordeu que heu de reservar aproximadament uns 100MB a <filename
>/usr/src</filename
>.</para
></listitem>

<listitem
><para
>Un sistema X11 executat amb o sense <application
>xdm</application
>. Sinó teniu instal·lat el X Window System, primer comproveu el vostre mitjà d'instal·lació UNIX per a una versió instal·lable. Sinó podeu trobar una versió funcional, visiteu <ulink url="http://www.xfree86.org"
>la web de XFree86</ulink
> per obtenir més informació a sobre de com aconseguir i instal·lar un X Window System o contacteu amb el departament de suport UNIX del vostre venedor. </para
></listitem>

<listitem
><para
>La versió 3.0.2 de les biblioteques Qt. Es poden aconseguir en el <ulink url="ftp.trolltech.com/qt"
>servidor FTP de Troll Tech</ulink
> en format tgz. </para>
</listitem>
</itemizedlist>

<warning
><para
>Una advertència abans de començar: Abans d'actualitzar-vos des d'una versió anterior del KDE, us recomenem que feu el següent:</para>

<screen
><command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/copia_de_seguretat_del_KDE_antic.tar.gz</replaceable
> * </option
></command
>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: Instal·lar els RPM per a RedHat, Caldera i SuSE.</title>

<para
>Emprar els RPM és el mètode més senzill d'aconseguir instal·lar el KDE. Simplement accediu a la vostra rèplica preferida del servidor de KDE i visiteu la carpeta <filename
>/pub/kde/stable/distribution/rpm</filename
>. Allí podreu veure carpetes per a diferents sistemes operatius. Actualment, les arquitectures suportades són la i386, alpha i sparc. Els paquets RPM també es poden trobar en els llocs contrib de Red Hat com sunsite.unc.edu o ftp.redhat.com. </para>

<para
>El sistema bàsic consisteix en els fitxers <filename
>kde-<replaceable
>component</replaceable
>.<replaceable
>arquitectura</replaceable
>.rpm</filename
>. Almenys necessiteu kdesupport, kdelibs i kdebase. Després d'obtenir la distribució base, sentiu-vos lliure per a descarregar qualsevol altra RPM que puga ser-vos útil. </para>

<para
>A continuació, començarem instal·lant el paquet base. Si esteu instal·lant el KDE per primera vegada, useu </para>

<screen
><userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.arquitectura.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.arquitectura.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.arquitectura.rpm</filename
></userinput
>
</screen>
 
<important
><para
>És important que aquests components siguin instal·lats en l'anterior ordre i que siguin instal·lats abans que cap altra component del KDE.</para
></important>

<para
>Si esteu actualitzant des d'una versió anterior, intenteu amb <screen
><userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>component</replaceable
>.<replaceable
>arquitectura</replaceable
>.rpm</filename
></userinput
>
</screen>
</para>

<para
>Una vegada més, s'ha de preservar l'ordre indicat anteriorment i els components anomenats han d'estar instal·lats abans que cap altre component del KDE.</para>

<para
>Això desempaquetarà la distribució base i la instal·larà per omissió en <filename
>/opt/kde</filename
>.</para>

<para
>Si la instal·lació dels paquets base ha tingut èxit, podeu instal·lar-ne la resta (una vegada més, useu <option
>-Uvh</option
> en comptes de <option
>-i</option
> per a actualitzar una versió prèvia) de la mateixa manera. </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: Instal·lar els <acronym
>DEB</acronym
> per a Debian</title>

<para
>La instal·lació per a un sistema Debian també és força simple. Només trobareu paquets del KDE 2.0 per a les versions de Debian 2.2 (coneguda com a Potato) i 3.0 (coneguda com a Woody). Aquí es descriu com instal·lar paquets per a Debian 2.2, la versió estable, ja que Debian 3.0 encara està en fase de desenvolupament. Tot i això, la instal·lació de totes dues versions és pràcticament idèntica. La principal diferència procedeix del fet de que KDE està oficialment inclòs en Debian 3.0 i no és necessari especificar una adreça especial per a localitzar els paquets deb per a KDE.</para>

<para
>La primera passa consisteix en dir-li al vostre sistema a on pot localitzar els paquets deb per a KDE. La llista dels llocs a on estan els paquets Debian es troba al vostre disc dur, en <filename
>/etc/apt/sources.list</filename
>. És necessari afegir-hi a aquest fitxer la següent línia: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Ara és necessari actualitzar la base de dades local dels paquets de manera que el vostre sistema sàpiga que hi ha nous paquets disponibles. Introduïu el següent comandament:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>update</option
></userinput
>
</screen>
 
<para
>Finalment instal·leu els components base del KDE. Això es fa escrivint:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput
>
</screen>
 
<para
>Si desitgeu instal·lar d'altres components probeu alguna o totes les següents opcions:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput
>
</screen>

<para
>També us pot interessar instal·lar la vostra llengua.</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput
>
 </screen>
<para
>a on <replaceable
>xx</replaceable
> s'ha de substituir pel codi del país.</para>

<para
>Els fitxers de control d'algunes aplicacions KDE seran col·locats en <filename class="directory"
>/etc/kde2</filename
>, els executables aniran a <filename class="directory"
>/usr/bin</filename
> i la majoria dels fitxers auxiliars a <filename class="directory"
>/usr/share</filename
> sota diferents carpetes. </para>

<para
>Si esteu actualitzant des d'una versió anterior del KDE seguiu les següents passes. Primer, actualitzeu el fitxer <filename
>/etc/apt/sources.list</filename
> canviant la línia que conté el lloc a on estan localitzats els paquets KDE amb la línia: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
>. Després actualitzeu la base de dades dels paquets:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>update</option
></userinput
>
</screen>
 
<para
>Finalment instal·leu el sistema base del KDE:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput
>
</screen>
 
<para
>Si desitgeu instal·lar més componentes del KDE proveu alguna o totes aquestes opcions.</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput
>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Emprar la compilació des de les fonts per a instal·lar en d'altres sistemes </title>

<para
>Si la vostra distribució Linux no conté fitxers en format rpm o deb, o no esteu emprant Linux, haureu de compilar-lo pel vostre compte. Pel futur estem planejant subministrar una distribució binària que inclogui el seu propi programa d'instal·lació. </para>

<para
>Per a poder compilar i instal·lar el KDE de manera adequada, és necessari tenir instal·lats els següents ítems al disc dur: </para>

<itemizedlist>
<listitem
><para
>Un compilador ANSI-C, &pex; el compilador C de <abbrev
>GNU</abbrev
>. </para
></listitem>
<listitem
><para
>Un compilador ANSI-C++, &pex; el compilador C++ de <abbrev
>GNU</abbrev
>. </para
></listitem>
<listitem
><para
>La utilitat <application
>make</application
>. </para
></listitem>
<listitem
><para
>La versió de desenvolupament 2.2 de Qt o una versió superior.</para
></listitem>
<listitem
><para
>Una versió de desenvolupament de X11 (incloguen els fitxers que falten sovint) </para
></listitem>
</itemizedlist>

<para
>Una vegada totes les aplicacions auxiliars estiguin disponibles, aneu a la vostra rèplica favorita del KDE i descarregueu els següents fitxers des de la carpeta <filename
>/pub/kde/stable/<replaceable
>versió_més_nova</replaceable
></filename
>:</para>

<itemizedlist>
<listitem
><para
><filename
>kdesupport-<replaceable
>versió</replaceable
>.tar.gz</filename
></para
></listitem>
<listitem
><para
><filename
>kdelibs-<replaceable
>versió</replaceable
>.tar.gz</filename>
</para
></listitem>
<listitem
><para
><filename
>kdebase-<replaceable
>versió</replaceable
>.tar.gz</filename
></para
></listitem>
<listitem
><para
>i qualsevol altre paquet que desitgeu instal·lar. Com a mínim us aconsellem descarregar kdeutils. </para
></listitem>
</itemizedlist>

<para
>En els anteriors casos, <replaceable
>versió</replaceable
> s'ha de substituir pel número de la versió actual. Una vegada hagueu descarregat tot el necessari, descomprimiu i extraigueu aquests fitxers sobre <filename
>/usr/src</filename
>. Aquest procés tindria que generar la següent estructura de carpetes:</para>

<itemizedlist>
<listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/...</filename
> (qualsevol altra paquet)</para
></listitem>
</itemizedlist>

<para
>Assegureu-vos de que teniu privilegis d'escriptura en <filename
>/opt/kde</filename
>.</para>

<para
>A continuació haureu de compilar i instal·lar els paquets emprant el següent: </para>

<procedure>
<step
><para
><command
>cd</command
> a la carpeta del paquet que desitgeu instal·lar (veure a dalt)</para
></step>
<step
><para
><command
>./configure</command
> (amb les opcions que s'hauran d'aplicar)</para
></step>
<step
><para
><command
>make</command
></para
></step>
<step
><para
><command
>make install</command
></para
></step>
</procedure>

<para
>Apliqueu les anteriors passes a cadascun dels paquets que desitgeu instal·lar.</para>

<note
><para
>Aquestes instruccions es poden emprar per a gairebé cadascun dels paquets disponibles, no tan sols als paquets KDE. </para
></note>

<para
>Cada script de configuració té diverses opcions disponibles. Algunes són comuns mentre que d'altres són individualment específiques dels paquets. El que es mostra a continuació és part del resultat de <command
>configure <option
>--help</option
></command
> en kdelibs:</para>

<screen
><computeroutput>
  --disable-fast-perl     deshabilita la generació del Makefile ràpid                           (necessita perl)
  --enable-debug          crea codi de detecció d'errors [per omissió=no]
  --enable-strict         compila amb opcions estrictes del compilador                           (podria no funcionar!)
  --enable-profile        crea perfils d'informació [per omissió=no]
  --enable-final          crea aplicacions de mida optimitzada                           (experimental - necessita molta memòria)
  --disable-closure       no endarrerir la instal·lació dels prototips
  --enable-shared[=PKGS]  crea biblioteques compartides [per omissió=si]
  --enable-static[=PKGS]  crea biblioteques estàtiques [per omissió=no]
  --enable-fast-install[=PKGS]                            optimitza per a una instal·lació ràpida                           [per omissió=si]
  --with-gnu-ld           suposa que el compilador C emprat és el ld de                           GNU [per omissió=no]
  --disable-libtool-lock  evita bloqueigs (pot trencar la creació de                           pasarel·les)
  --with-pic              intenta usar només objectes PIC/no-PIC [per                           omissió=usar_ambdos]
  --with-extra-includes=DIR
                          afegeix les rutes include no estàndard
  --with-extra-libs=DIR   afegeix les rutes a les biblioteques no                           estàndard
  --with-qt-dir=DIR       directori arrel de Qt
  --with-qt-includes=DIR  directori de els fitxers include de Qt
  --with-qt-libraries=DIR directori de les biblioteques Qt
  --disable-rpath         no emprar la característica rpath de ld
  --disable-path-check    no mirar de trobar a on instal·lar
  --with-xdmdir           si el directori de configuració de xdm no es                           pot trobar automàticament
  --with-pam[=ARG]        habilita el suport PAM:                           ARG=[yes|no|nom_del_servei]
  --with-shadow           si es desitja suport per a contrasenyes                           ocultes
  --with-krb4[=RUTA]      Compila amb suport per a Kerberos v4.
  --with-afs              Compila amb suport per a AFS (requereix KTH                           krb4)
  --with-ldap[=RUTA]      Compila amb suport per a LDAP.
  --with-samba-libs=ruta  Empra les biblioteques Samba-tng a 'ruta'                           [cerca]
  --without-gl            deshabilita els modes 3D GL
  --without-xpm           deshabilita les comprovacions del color dels                           mapes de píxels XPM
  --without-dpms          deshabilita l'estalvi d'energia DPMS
  --with-x                empra el sistema de finestres X
  --with-motif-includes=DIR                           Els fitxers include de Motif estan a 'DIR'
  --with-motif-libraries=DIR   Les biblioteques Motif estan a 'DIR' </computeroutput
>
</screen>

<para
>Algunes opcions no són necessàries i tan sols són d'utilitat com a dreceres per a solucionar problemes coneguts. (&pex;<option
>--disable-CARACTERÍSTICA</option
>). Algunes són opcions importants, per exemple <emphasis
>--with-shadow</emphasis
>, s'haurien de marcar sempre que estiguin disponibles.</para>

<para
>Un opció important és <option
>--prefix</option
>. Aquesta opció serveix per a especificar la ruta a on haurà d'instal·lar configure (per a kdesupport i kdelibs) o on cercar les biblioteques (per a d'altres paquets). Per omissió, configure mirarà en <filename
>/opt/kde</filename
>. Si desitgeu instal·lar el KDE a <filename
>/usr/local/kde</filename
>, teniu que emprar <command
>configure <option
>--prefix /usr/local/kde</option
></command
>.</para>

<para
>Si heu instal·lat les biblioteques Qt en un lloc inusual, per exemple a <filename
>$HOME/src/qt</filename
>, teniu que emprar <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
>. Per omissió, abans d'abandonar configure cercarà Qt en els llocs més comuns.</para>

<para
>Si trobeu problemes que no podeu resoldre, envieu una copia del fitxer <filename
>config.log</filename
> a l'adreça que figura en el fitxer <filename
>README</filename
> del paquet problemàtic.</para>

<para
>La instal·lació del KDE s'ha de realitzar en el següent ordre: kdesupport, kdelibs, després els paquets de les aplicacions (per exemple kdebase). Tots els paquets d'aplicacions tan sols hauran de dependre de kdelibs, de manera que, si disposeu d'una màquina potent, els podeu compilar tots alhora.</para>

<para
>Si desitgeu aprofitar els aventatges d'un sistema multiprocessador, intenteu <command
>make<option
> -j <replaceable
>Nombre_de_processadors</replaceable
></option
></command
> en comptes de <command
>make</command
>. </para>

<sect2>
<title
>Notes específiques de les plataformes </title>

<sect3>
<title
>Linux </title>

<para
>Per a Linux, la majoria de les utilitats necessàries per a construir el KDE es poden trobar, o bé en <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
>, o bé en <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite.unc.edu/pub/GNU</ulink
>. Les biblioteques Qt es poden trobar en <ulink url="ftp://ftp.troll.no/pub/qt/linux"
>ftp://ftp.troll.no/pub/qt/linux</ulink
>, disponibles en codi font o en format RPM per a Linux. Ambdues contenen detallades instruccions de com instal·lar-les. Els fitxers include dels programes X11 haurien d'estar disponibles en <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
> a la secció xdevel. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Canvis requerits en els vostres fitxers de configuració </title>
<para
>Després d'haver col·locat els binaris de KDE a les seves carpetes de destí és necessari ajustar alguns dels scripts d'inici. </para>
<para
>El següent procediment fou comprovat en SuSE Linux 5.0 i tindria que ser compatible amb d'altres UNIX també coneguts. <emphasis
>Feu sempre còpies de seguretat dels fitxers de configuració abans de canviar-los!</emphasis
> Afegiu el següent al final del vostre /etc/profile: </para>
<para
> 
<screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen>
 </para>
<para
>A continuació, editeu el fitxer .xinitrc a la vostra carpeta d'inici. Cerqueu la línia que crida al gestor de finestres i substituïu-la per <literal
>startkde</literal
>.</para>
<para
>Ara que tot el necessari per a executar el KDE ha estat instal·lat, podeu passar al capítol 4 a on s'iniciarà el KDE per primera vegada. Si quelcom va malament potser necessitareu compilar el KDE pel vostre compte. Per a més informació llegiu <emphasis
> <link linkend="source-distribution"
>Emprar la compilació des de les fonts per a instal·lar en d'altres sistemes</link
> </emphasis
>. </para>
<para
>Hem fet la instal·lació el més robusta possible, de manera que no tindríeu que trobar-vos amb cap problema seri, a no ser que la vostra configuració sigui exòtica. Si experimenteu dificultats sentiu-vos lliure d'usar <link linkend="mailing-lists"
>les llistes de correu del KDE</link
> </para>
</sect1>
</chapter>
<!--
Local Variables:
mode: sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-namecase-general:t
sgml-general-insert-case:lower
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:0
sgml-indent-data:nil
sgml-parent-document:("index.docbook" "book" "chapter")
End:
-->